Package twisted :: Package xish :: Module utility :: Class EventDispatcher |
[frames | no frames]

## Class EventDispatcher

Known Subclasses:
  `XmlStream`

Method Summary
| `__init__(self, eventprefix)`
| `_addObserver(self, onetime, event, observerfn, *args, **kwargs)`
| `_isEvent(self, event)`
| `addObserver(self, event, observerfn, *args, **kwargs)`
| `addOnetimeObserver(self, event, observerfn, *args, **kwargs)`
| `dispatch(self, object, event)`
| `removeObserver(self, event, observerfn)`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net